package controller;

import javax.inject.Inject;
import javax.inject.Named;

import dto.Cloth;
import dto.Computer;
import dto.DtoType;
import dto.Product;
import dto.ProductType;

@Named("Ext")
public class ExtensionController {

	@Inject
	//@DtoType(ProductType.Computer)
	private Computer computer;

	@Inject
	//@DtoType(ProductType.Cloth)
	private Cloth cloth;

	@Inject
	@DtoType(ProductType.Product)
	private Product product;

	public Computer getComputer() {
		return computer;
	}

	public Cloth getCloth() {
		return cloth;
	}

	public Product getProduct() {
		return product;
	}

}
