package controller;

import javax.enterprise.inject.*;
import javax.inject.Inject;
import javax.inject.Named;

import contract.DriveService;

@Named("Drive")
public class DriveController {

	@Inject
	private DriveService driveService;

	public DriveService getDriveService() {
		return driveService;
	}

	@Inject
	@Any
	private Instance<DriveService> anySerInstance;

	public DriveService getAnySerInstance() {
		return anySerInstance.get();
	}

}
